from django.urls import path, include
from rest_framework.routers import DefaultRouter
from .views import (
    CaseStudyViewSet,
    CaseStudyCategoryViewSet,
    ClientViewSet
)

router = DefaultRouter()
router.register(r'', CaseStudyViewSet, basename='case-study')
router.register(r'categories', CaseStudyCategoryViewSet, basename='case-study-category')
router.register(r'clients', ClientViewSet, basename='client')

urlpatterns = [
    path('', include(router.urls)),
]

